# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [0.2.8](https://github.com/Anadian/regex-translator/compare/v0.2.7...v0.2.8) (2022-02-21)


### Documentation

* Overhauled docs. ([4211e9e](https://github.com/Anadian/regex-translator/commit/4211e9e85cd47fe79a1636a07ab6c30b9e06e5da))

### [0.2.7](https://github.com/Anadian/regex-translator/compare/v0.2.6...v0.2.7) (2021-10-27)


### Continuous Integration

* Rebuilt package-lock.json ([91f0b65](https://github.com/Anadian/regex-translator/commit/91f0b6595fef9990d5eb56de7c5be3faf320f5b2))
* Should probably work. ([c68a418](https://github.com/Anadian/regex-translator/commit/c68a418be7f8af99ab081d201e718c6c04b9c93f))
* Trying to install ava globally to get Windows CI working. ([1478ed8](https://github.com/Anadian/regex-translator/commit/1478ed8348cdd0bb3cd05997194f1fd5654b36dd))
* Updated to install things globally on Windows. ([4feb185](https://github.com/Anadian/regex-translator/commit/4feb185d53cc33c1a795489637680901eed120ad))
* Updating to collect more data for windowsci. ([294b87d](https://github.com/Anadian/regex-translator/commit/294b87d3b826f811dd81941809100f08b76a86cb))


### Tests

* Fully functional testing for getRegexStringFromMediaryObject. ([524addf](https://github.com/Anadian/regex-translator/commit/524addf105933da9c51c7abbc57abe300fc74024))
* Wrote tests for "getRegexStringFromMediaryObject". ([07c1f86](https://github.com/Anadian/regex-translator/commit/07c1f863ac5d37997dc1487249e3f24e2db5793a))


### Code Style

* Fixed linting errors. ([9607932](https://github.com/Anadian/regex-translator/commit/9607932ec7a02a5d1d48908d76fec7e72fb3f4e2))


### Chores

* Added latest package-lock.json ([580d4db](https://github.com/Anadian/regex-translator/commit/580d4dbc1d90389aaca44f3de560d7adb24d470e))
* **deps:** Removed unused dependencies. ([e1a0636](https://github.com/Anadian/regex-translator/commit/e1a0636cac95d5b9e4b982a7b45ca23c7782fd54))
* **deps:** Rolling back to a working version of clipboardy. ([9b26502](https://github.com/Anadian/regex-translator/commit/9b26502f7cd48ec3232f6f621c7d5cb3bd69614f))
* **deps:** Rolling back to a working version of clipboardy. ([9fdb812](https://github.com/Anadian/regex-translator/commit/9fdb812b5f881262ba6bb54dcf5d7a6c56fdb8df))
* Updated .gitignore. ([19b512b](https://github.com/Anadian/regex-translator/commit/19b512bee600ab4a2c5884f33106284797ecaa06))


### Documentation

* Added more README badges. ([61f2149](https://github.com/Anadian/regex-translator/commit/61f2149d2cb9f0f38e1f10de1776a37c27fe4295))
* Updated. ([2cc39cb](https://github.com/Anadian/regex-translator/commit/2cc39cb51b5b73f21f9dd51903b57f73322a9afa))

### [0.2.6](https://github.com/Anadian/regex-translator/compare/v0.2.5...v0.2.6) (2021-10-25)


### Documentation

* **README:** Added more information to the standards table. ([2e36c85](https://github.com/Anadian/regex-translator/commit/2e36c85f326bec17f58f6261b191bc7a54d72b4d))


### Tests

* Full CLI testing now functional. ([568c399](https://github.com/Anadian/regex-translator/commit/568c399dbcb31a9a371ed98ae6d9ec9c218195ab))
* Significantly improved CLI testing. ([f370c33](https://github.com/Anadian/regex-translator/commit/f370c33c53b605020a1ad6e33a55adb5eba2235b))


### Continuous Integration

* Added basic CI support. ([e611c42](https://github.com/Anadian/regex-translator/commit/e611c425a090043ec027fb1b6943837e3bd4eb1b))

### [0.2.5](https://github.com/Anadian/regex-translator/compare/v0.2.4...v0.2.5) (2021-09-25)

### [0.2.4](https://github.com/Anadian/regex-translator/compare/v0.2.3...v0.2.4) (2021-09-24)


### Features

* Added more flavour support. ([be55ac0](https://github.com/Anadian/regex-translator/commit/be55ac0b5d93d2fd1da3c3b94851ddf8dbcafd92))
* **README.md:** Further modernised README. ([ba5d0e3](https://github.com/Anadian/regex-translator/commit/ba5d0e37113069361ba2bfef8bd071c62389a236))
* **source/main.js:** Added getMediaryObjectFromRegexString and getRegexStringFromMediaryObject. ([834d96d](https://github.com/Anadian/regex-translator/commit/834d96d00f4d3f5380dcf38a09566b50d0735907))


### Documentation

* **README.md:** Added CLI section to the TOC. ([8d31e24](https://github.com/Anadian/regex-translator/commit/8d31e2447b8c300eaa409441cc4fa23454377aef))


### Tests

* **CLI:** Trying to rewrite the cli test script in AVA. ([256abb2](https://github.com/Anadian/regex-translator/commit/256abb2276cc559ce6bda6cb43c4f56c152b069f))
* **CLI:** Updated cli_test.sh to be much more comprehensive. ([dcc01e7](https://github.com/Anadian/regex-translator/commit/dcc01e7a807cab5866d5636dad8cdd141d55b216))
* Committing before attempting to switch to node-tap for my testing framework. ([53fb6ff](https://github.com/Anadian/regex-translator/commit/53fb6ff85ace6b0eabc93c0a00dcdf62f562b606))
* Dying inside. ([7051a5e](https://github.com/Anadian/regex-translator/commit/7051a5e33d9c7efe59c8f2173aa130e620e21fd4))
* Giving up on CLI testing in Javascript itself. Nodes child process module is to unpredictable. ([3672007](https://github.com/Anadian/regex-translator/commit/36720075a3faa756af80ac3c041fdd3ba10adb70))
* stdio hell but there's light a the end of the tunnel maybe, possibly, probably not. ([9c374da](https://github.com/Anadian/regex-translator/commit/9c374da5aae1d2e909e3c3e8824dc2c17e2421ee))


### Chores

* Can confirm the npm is swallowing standard streams in test scripts. ([5f1e432](https://github.com/Anadian/regex-translator/commit/5f1e4324a34b9e34526b035452ad783b248151a4))
* Dying inside two. ([cd2eec7](https://github.com/Anadian/regex-translator/commit/cd2eec79aa947a281466384ee26a8afc386240c8))
* Repo maintenance. ([321fd10](https://github.com/Anadian/regex-translator/commit/321fd10b88524d97199432ddcd5bdd27d7bf0cdd))

### [0.2.3](https://github.com/Anadian/regex-translator/compare/v0.2.2...v0.2.3) (2020-06-07)


### Documentation

* **README.md:** Added more badges. ([5335e06](https://github.com/Anadian/regex-translator/commit/5335e0608068b071cf69c927caf9098c2c50f438))


### Tests

* Debugging `cli_test.sh`. ([c58a125](https://github.com/Anadian/regex-translator/commit/c58a125b35b0af4adfd45730d0f04fda237f6cbe))
* Trying something new with adding an external cli test via `cli_test.sh` ([54e302d](https://github.com/Anadian/regex-translator/commit/54e302dc679861e06e3dc268818d66adf0c3f1c4))


### Chores

* Got `cli_test.sh` working and slightly improved coverage. ([9f442db](https://github.com/Anadian/regex-translator/commit/9f442dbc1246536643889bf1d5b3ce4e073e2dbb))

### [0.2.2](https://github.com/Anadian/regex-translator/compare/v0.2.1...v0.2.2) (2020-06-07)


### Features

* **source/main.js:** Implemented pasteboard output option. ([c2a5709](https://github.com/Anadian/regex-translator/commit/c2a57090cf79238bce00212c1bde28d0c9a99c77))


### Chores

* Removed the now-unneccessary "scripts" directory. ([1f77368](https://github.com/Anadian/regex-translator/commit/1f77368765ef4f62e500d155b42b00162b5b6759))


### Documentation

* **README.md:** Added API and updated contributing sections. ([c857229](https://github.com/Anadian/regex-translator/commit/c857229bdd6effc9fd0644a9ea8693d6a494008a))
* **README.md:** Added CLI section. ([4d9fdca](https://github.com/Anadian/regex-translator/commit/4d9fdca6d39bddf5f65f12e7e4fab7007e5944c2))
* Updated documentation comments and added `extract-documentation-comments` as a dev dependency. ([7529062](https://github.com/Anadian/regex-translator/commit/7529062baa5afcf1d0365913543d2ac55bbcc841))
* **README.md:** Added installation and usage sections. ([9730728](https://github.com/Anadian/regex-translator/commit/97307283a6e677abb504162957f5b085984f063e))

### [0.2.1](https://github.com/Anadian/regex-translator/compare/v0.2.0...v0.2.1) (2020-06-07)


### Features

* **source/main.js:** Added getMultiPartObjectFromInputString and implemented the full CLI. ([753b928](https://github.com/Anadian/regex-translator/commit/753b92880b9ccd52bb11689c83233ff56bed07c2))


### Tests

* Tests added for getMultiPartObjectFromInputString. ([9dc796d](https://github.com/Anadian/regex-translator/commit/9dc796d88d43817f7fbeeafb10626715e9cb0161))
* **main.test.js:** Rewrote all test to work in AVA. ([43cf16b](https://github.com/Anadian/regex-translator/commit/43cf16b84c97fb623afd3933ee8a3e40cba042d6))


### Chores

* Amazing everything seems to be working. ([aac339c](https://github.com/Anadian/regex-translator/commit/aac339c947dcc771e3564326835aebe8e74f5f09))
* Corrected test script in package.json and exported functions in source/main.js to work with AVA testing. ([83327cb](https://github.com/Anadian/regex-translator/commit/83327cbc37347e84689b9211cab68223861f7d41))
* Removed now-uneccessary files "CHANGES.md" and ".eslintrc.js". ([83a92a1](https://github.com/Anadian/regex-translator/commit/83a92a19fc6893aefc2f9b309f2bdb67771285b6))
* **package.json:** Moved eslint and standard-version config into package.json and added the "lint" and "update-travis-config" scripts. ([d9d530b](https://github.com/Anadian/regex-translator/commit/d9d530b0de883db763ca0279f7f15f3c5b5c39c7))
* Add ava and standard-version. ([8c3bd6e](https://github.com/Anadian/regex-translator/commit/8c3bd6e41d555ea0b6e65fb86dbc60296d3809e9))

## 0.2.0 (2020-06-05)

# Old CHANGES.md
- 2020-05-30 v0.0.0 First commit.
- 2020-06-01 v0.1.0 feat: Basic functioning implementation.
- 2020-06-01 v0.1.1 refactor(lint): Added eslint.
- 2020-06-04 v0.2.0 test(source/main.js): Core tests implemented with an idiomatic test suite, may switch to AVA soon.
